/**   
 * License Agreement for OpenSearchServer
 *
 * Copyright (C) 2012-2014 Emmanuel Keller / Jaeksoft
 * 
 * http://www.open-search-server.com
 * 
 * This file is part of OpenSearchServer.
 *
 * OpenSearchServer is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * OpenSearchServer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with OpenSearchServer. 
 *  If not, see <http://www.gnu.org/licenses/>.
 **/

package com.jaeksoft.searchlib.result;

import java.io.IOException;
import java.util.List;

import com.jaeksoft.searchlib.SearchLibException;
import com.jaeksoft.searchlib.request.AbstractRequest;
import com.jaeksoft.searchlib.result.collector.DocIdInterface;
import com.jaeksoft.searchlib.util.Timer;
import com.jaeksoft.searchlib.webservice.query.document.IndexDocumentResult;

public interface ResultDocumentsInterface<T extends AbstractRequest> extends
		Iterable<ResultDocument> {

	public T getRequest();

	public int getRequestStart();

	public int getRequestRows();

	public ResultDocument getDocument(int pos, Timer timer)
			throws SearchLibException;

	public void populate(List<IndexDocumentResult> indexDocuments)
			throws IOException, SearchLibException;

	public float getScore(int pos);

	public Float getDistance(int pos);

	public float getMaxScore();

	public int getCollapsedDocCount();

	public int getCollapseCount(int pos);

	public int getDocumentCount();

	public DocIdInterface getDocs();

	public int getNumFound();

}
